/**
 *  页面结构文件：维护全局 DOM 结构
 */

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames/bind';
import Header from '../Header';
import Sidebar from '../Sidebar';
import styles from './Skeleton.scss';

const cx = classNames.bind(styles);

const Skeleton = ({ children }) => (
  <div className={cx('skeleton')}>
    <Header />

    <div className={cx('main-body')}>
      <div className={cx('left-sidebar')}>
        <Sidebar />
      </div>
      <div className={cx('main-container')}>
        {children}
      </div>
    </div>
  </div>
);

Skeleton.propTypes = {
  children: PropTypes.element,
};

Skeleton.defaultProps = {
  children: null,
};

export default Skeleton;
