import React from 'react';
import { shallow } from 'enzyme';

jest.mock('@alife/dtux-header', () => {
  const MockComponent = () => (<div>Mock</div>);
  return MockComponent;
});

jest.mock('@alife/dtux-sidebar', () => {
  const MockComponent = () => (<div>Mock</div>);
  return MockComponent;
});

// mock next cause next throw error
jest.mock('@alife/next', () => {
  const MockComponent = () => (<div>Mock</div>);
  return {
    Icon: MockComponent,
    Modal: MockComponent,
    Table: MockComponent,
  };
});

const Skeleton = require('./').default;

describe('<Skeleton />', () => {
  it('should render layout', () => {
    const renderedComponent = shallow(<Skeleton />);
    expect(renderedComponent.find('Header').length).toBe(1);
    expect(renderedComponent.find('.skeleton').length).toBe(1);
    expect(renderedComponent.find('.left-sidebar').length).toBe(1);
    expect(renderedComponent.find('.main-container').length).toBe(1);
  });
});
