import * as React from 'react';
import * as _ from 'lodash';
import * as intl from 'react-intl-universal';

const SUPPOER_LOCALES = [
  {
    name: "English",
    value: "en-US"
  }, {
    name: "简体中文",
    value: "zh-CN"
  }
];

// 文档管理: https://www.atatech.org/articles/77921
const locales = {
  'en-US': require('@alife/mcms_aliyun-cdp_tnpm/en-us.js'),
  'zh-CN': require('@alife/mcms_aliyun-cdp_tnpm/zh-cn.js')
};

class Skeleton extends React.Component<any, any> {
  state = {initDone: false}

  public render() {
    return (
      <div className='container'>
        {this.state.initDone && <div className='main-container'>{this.props.children}</div>}
      </div>
    );
  }

  public componentDidMount () {
    this.loadLocales();
  }

  private loadLocales() {
    let currentLocale = intl.determineLocale({urlLocaleKey: 'lang', cookieLocaleKey: 'lang'});
    if (!_.find(SUPPOER_LOCALES, {value: currentLocale})) {
      currentLocale = 'en-US';
    }

    intl
      .init({currentLocale, locales})
      .then(() => {
        this.setState({initDone: true});
      });
  }

}

export default Skeleton;
