import * as React from 'react';
import * as PropTypes from 'prop-types';
import { Table } from '@alife/next';

class GridTable extends React.PureComponent<any, any> {
  static propTypes = {
    dataSource: PropTypes.array,
    columns: PropTypes.array,
  };

  static defaultProps = {
    dataSource: [],
    columns: [],
  };

  render() {
    const { dataSource, columns, ...otherProps } = this.props;

    return (
      <Table dataSource={dataSource} {...otherProps}>
        {
          columns.map((column) => {
            const { key, render, fixed, ...others } = column;
            return (
              <Table.Column key={key} cell={render} lock={fixed} {...others} />
            );
          })
        }
      </Table>
    );
  }
}

export default GridTable;
