import _ from 'lodash';
import intl from 'react-intl-universal';
import cdpEnUS from '@alife/mcms_aliyun-cdp_tnpm/en-us';
import cdpZhCN from '@alife/mcms_aliyun-cdp_tnpm/zh-cn';

const SUPPOER_LOCALES = [{
  name: 'English',
  value: 'en-US',
}, {
  name: '简体中文',
  value: 'zh-CN',
}];

// 文档管理: https://www.atatech.org/articles/77921
const locales = {
  'en-US': cdpEnUS,
  'zh-CN': cdpZhCN,
};

let currentLocale = intl.determineLocale({
  urlLocaleKey: 'lang',
  cookieLocaleKey: 'lang',
});
if (!_.find(SUPPOER_LOCALES, { value: currentLocale })) {
  currentLocale = 'en-US';
}

export default {
  ready() {
    return intl.init({ currentLocale, locales });
  },
};
