import santa from '@ali/santa';
import intl from 'core/intl';
import CountModel from './models/Count';
import './styles/index.scss';

// Init app
const app = santa();
// App config
app.config({
  // history type: hash/browser
  history: 'hash',
});

// Add a model
app.model('Count', new CountModel());

// Add a router
// 注意：require router 必须在 app.model 之后
import routes from './routes'; // eslint-disable-line

// Start app
const render = () => {
  app.router(routes);
  app.start('#app');
};

if (module.hot) {
  module.hot.accept('./routes', () => {
    render(); // re-require is not nesseary. See https://github.com/gaearon/react-hot-loader/tree/master/docs#starter-kits
  });
}

// 多语言
intl.ready().then(() => {
  render();
});
