import * as React from 'react';
import * as PropTypes from 'prop-types';
import { inject } from '@ali/santa';
import { Button } from '@alife/next';
import './index.scss';

interface Imodel {
  Count: any;
}

interface IToDoModelProps {
  model: Imodel;
}

@inject('Count')
class CountDemo extends React.Component<IToDoModelProps, any> {
  static propTypes = {
    model: PropTypes.object,
  };

  public render() {
    const { Count } = this.props.model;

    return (
      <div className="count">
        <div className="title">Santa Count Example</div>

        <div className="btns">
          <Button type="secondary" onClick={this.onAddOne}>+</Button>
          <Button type="secondary" onClick={this.onDeleteOne}>-</Button>
        </div>

        <div className="counter">
          <h1>{Count.count}</h1>
        </div>
      </div>
    );
  }

  private onAddOne = () => {
    this.props.model.Count.add();
  }

  private onDeleteOne = () => {
    this.props.model.Count.minus();
  }
}

export default CountDemo;
