import React from 'react';
import PropTypes from 'prop-types';
import { Router, Route } from 'react-router-dom';
import Home from './home/index.tsx';
import Skeleton from '../components/Skeleton';
import CountDemo from './countDemo';
import asyncComponent from './asyncComponent';

// react-router V4 异步加载方案：官方：https://reacttraining.com/react-router/web/guides/code-splitting
// 非官方：https://gist.github.com/acdlite/a68433004f9d6b4cbc83b5cc3990c194
// 官方方案略麻烦，下面采用非官方方案
// 下面的注释是有用的啊！！！ chunkName 用注释指定的
const TableDemo = asyncComponent(() => import('./tableDemo' /* webpackChunkName:"tableDemo" */));

export default function RouterConfig({ history }) {
  return (
    <Router history={history}>
      <Skeleton>
        <div>
          <Route path="/" exact component={Home} />
          <Route path="/countDemo" exact component={CountDemo} />
          <Route path="/tableDemo" exact component={TableDemo} />
        </div>
      </Skeleton>
    </Router>
  );
}

RouterConfig.defaultProps = {
  history: {},
};

RouterConfig.propTypes = {
  history: PropTypes.object,
};
