import * as React from 'react';
import * as PropTypes from 'prop-types';
import Table from '../../../components/Table';
import { Dialog, Button } from '@alife/next';

class GridTable extends React.Component<any, any> {
  static propTypes = {
    dataSource: PropTypes.array,
    onDel: PropTypes.func,
  };

  static defaultProps = {
    dataSource: [],
    onDel() {},
  };

  constructor() {
    super();
    this.toDel = this.toDel.bind(this);
  }

  toDel(record) {
    const onDel = this.props.onDel;
    Dialog.confirm({
      content: '是否删除数据？',
      title: '警告',
      onOk: () => {
        onDel(record.id);
      },
    });
  }

  render() {
    const { dataSource } = this.props;
    const toDel = this.toDel;
    const columns = [{
      title: 'Name',
      dataIndex: 'name',
      key: 'name',
      render: text => <a href="/">{text}</a>,
    }, {
      title: 'Email',
      dataIndex: 'email',
      key: 'email',
    }, {
      title: 'Website',
      dataIndex: 'website',
      key: 'website',
    }, {
      title: 'Operation',
      key: 'operation',
      render(value, index, record) {
        return (
          <div>
            <Button type="primary" size="small" shape="text">
              编辑
            </Button>
            <span className="opertion-split-line" />
            <Button type="primary" size="small" shape="text" onClick={() => toDel(record)}>
              删除
            </Button>
          </div>
        );
      },
    }];
    return (
      <Table dataSource={dataSource} columns={columns} />
    );
  }
}

export default GridTable;
