import * as React from 'react';
import * as PropTypes from 'prop-types';
import classNames from 'classnames/bind';
import { inject } from '@ali/santa';
import { Pagination } from '@alife/next';
import HelmetRoute from '../../components/HelmetRoute';
import GridTable from './GridTable';
import TableDemoModel from './TableDemoModel';
import './TableDemo.scss';

@inject({
  name: 'TableDemoModel',
  instance: new TableDemoModel(),
})
class TableDemo extends React.Component<any, any> {
  static propTypes = {
    model: PropTypes.object.isRequired,
  };

  componentDidMount() {
    this.props.model.TableDemoModel.loadData();
  }

  render() {
    const tableDemoModel = this.props.model.TableDemoModel;
    const {
      current,
      total,
      onPageChange,
    } = tableDemoModel;

    return (
      <div className="table">
        <div className="title">表格示例</div>
        <GridTable
          dataSource={tableDemoModel.get('dataSource')}
          onDel={tableDemoModel.onDel}
        />
        <div className='pager-container'>
          <Pagination
            current={current}
            total={total}
            onChange={onPageChange}
          />
        </div>
        <HelmetRoute spma="a2c2k" spmb="8980690" checksum="46807173" />
      </div>
    );
  }
}

export default TableDemo;
